Chromium Code Reviews
chromiumcodereview-hr@appspot.gserviceaccount.com (chromiumcodereview-hr) | Please choose your nickname with Settings | Help | Chromium Project | Gerrit Changes | Sign out
(385)

Unified Diff: remoting/host/installer/mac/Keystone/GoogleSoftwareUpdate.pkg/Contents/Resources/postflight

Issue 9956155: [Chromoting] Keystone installer package. (Closed) Base URL: svn://chrome-svn/chrome/trunk/src/
Patch Set: Created 8 years, 8 months ago
Use n/p to move between diff chunks; N/P to move between comments. Draft comments are only viewable by you.
Jump to:
View side-by-side diff with in-line comments
Download patch
Index: remoting/host/installer/mac/Keystone/GoogleSoftwareUpdate.pkg/Contents/Resources/postflight
===================================================================
--- remoting/host/installer/mac/Keystone/GoogleSoftwareUpdate.pkg/Contents/Resources/postflight (revision 0)
+++ remoting/host/installer/mac/Keystone/GoogleSoftwareUpdate.pkg/Contents/Resources/postflight (working copy)
@@ -0,0 +1,15 @@
+#!/bin/sh
+# Copyright 2008 Google, Inc
+
+cd "${PACKAGE_PATH}"
+cd Contents/Resources
+
+if [ ! -f Keystone.tbz -o ! -f install.py ]; then
+ # Corrupt package?
+ exit 1
+fi
+
+# This should be the last line so it's exit code is returned
+./install.py --install=Keystone.tbz
+
+
Property changes on: remoting/host/installer/mac/Keystone/GoogleSoftwareUpdate.pkg/Contents/Resources/postflight
___________________________________________________________________
Added: svn:executable
## -0,0 +1 ##
+*
\ No newline at end of property

Powered by Google App Engine
This is Rietveld 408576698